<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:f="http://xmlns.jcp.org/jsf/core"
      xmlns:p="http://primefaces.org/ui">

    <ui:composition template="/template_1.xhtml">
        <ui:define name="title">
        </ui:define>
        <ui:define name="bodys">
            <h:form id="formItems" styleClass="jsfcrud_list_form">
                <h:panelGroup rendered="#{itemsController.items.rowCount > 0}">
                    <p:dataTable id="tablaItems" sortMode="multiple" value="#{itemsController.items}" var="item" 
                                 widgetVar="tablaItem" emptyMessage="No hay Inventario disponibles" paginator="true" rows="10"
                                 rowKey="#{item.itemId}" >
                        <p:column>
                            <f:facet name="header">
                                <h:outputText value="#{bundle.ListItemsTitle_itemId}"/>
                            </f:facet>
                            <h:outputText value="#{item.itemId}"/>
                        </p:column>
                        <p:column filterBy="#{item.itemNombre}"   
                                          headerText="Nombre"   filterMatchMode="contains" sortBy="#{item.itemNombre}">
                            <f:facet name="header">
                                <h:outputText value="#{bundle.ListItemsTitle_itemNombre}"/>
                            </f:facet>
                            <h:outputText value="#{item.itemNombre}"/>
                        </p:column>
                        <p:column filterBy="#{item.itemCodigo}"   
                                          headerText="Codigo"   filterMatchMode="contains" sortBy="#{item.itemCodigo}">
                            <f:facet name="header">
                                <h:outputText value="#{bundle.ListItemsTitle_itemCodigo}"/>
                            </f:facet>
                            <h:outputText value="#{item.itemCodigo}"/>
                        </p:column>
                        <p:column >
                            <f:facet name="header">
                                <h:outputText value="#{bundle.ListItemsTitle_itemInventarioId}"/>
                            </f:facet>
                            <h:outputText value="#{item.itemInventarioId}"/>
                        </p:column>
                        <p:column>
                            <f:facet name="header">
                                <h:outputText value="&nbsp;"/>
                            </f:facet>
                            <p:commandButton action="#{itemsController.prepareEdit}" value="#{bundle.ListItemsEditLink}" oncomplete="PF('dlgItem').show();" 
                                           process="@this" update=":tabViewAdmin:itemsPanel:dialogItem"/>
                            <h:outputText value=" "/><br/><br/>
                            <p:commandButton action="#{itemsController.destroy}" value="#{bundle.ListItemsDestroyLink}"
                                           process="@this" update=":tabViewAdmin:itemsPanel:formItems:tablaItems">
                                <p:confirm header="Confirmacion" message="Esta seguro de eliminar?" icon="ui-icon ui-icon-comment" />
                            </p:commandButton>
                            <p:confirmDialog global="true" showEffect="fade" hideEffect="fade">
                                <p:commandButton value="Si" type="button" styleClass="ui-confirmdialog-yes" icon="ui-icon ui-icon-check" />
                                <p:commandButton value="No" type="button" styleClass="ui-confirmdialog-no" icon="ui-icon ui-icon-close" />
                            </p:confirmDialog>  
                            
                        </p:column>
                    </p:dataTable>
                </h:panelGroup>
            </h:form>
            <p:dialog id="dialogItem" position="center" header="Item #{itemsController.selected.itemNombre}" modal="true"
                      widgetVar="dlgItem"   appendTo="@(body)" closable="true"  >
                <p:outputPanel  style="text-align:center;">
                    <ui:include src="/web/items/Edit.xhtml" rendered="#{!sessionBean.activa}" />

                </p:outputPanel>
            </p:dialog>
        </ui:define>
    </ui:composition>

</html>
